Cygport Reference Manual

### TABLE OF CONTENTS

- lua.cygclass

- LUA
- LUAC
- LUA_VERSION
- LUA_INCLUDEDIR
- LUA_LIBDIR
- LUA_SCRIPTDIR
- LUA_CFLAGS
- LUA_LIBS
- luainto
- dolua
- lua_fix_shebang

## lua.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit lua

DESCRIPTION

Lua is a lightweight programming language commonly used for embedded scripting support in a variety of programs. It is extensible through C/C++ modules and lua scripts.

This cygclass provides definitions used by packages depending on Lua.

REQUIRES

lua, pkg-config

## LUA

[ Top ] [ lua.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Lua interpreter.

## LUAC

[ Top ] [ lua.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Lua bytecode compiler.

## LUA_VERSION

[ Top ] [ lua.cygclass ] [ Definitions ]

DESCRIPTION

The major.minor version of the Lua interpreter.

## LUA_INCLUDEDIR

[ Top ] [ lua.cygclass ] [ Definitions ]

DESCRIPTION

Path containing the Lua C library headers.

## LUA_LIBDIR

[ Top ] [ lua.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Lua C modules.

## LUA_SCRIPTDIR

[ Top ] [ lua.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Lua script modules.

## LUA_CFLAGS

[ Top ] [ lua.cygclass ] [ Definitions ]

DESCRIPTION

Compile flags for the Lua C library.

## LUA_LIBS

[ Top ] [ lua.cygclass ] [ Definitions ]

DESCRIPTION

Link flags for the Lua C library.

## luainto

[ Top ] [ lua.cygclass ] [ Install Functions ]

SYNOPSIS

      luainto SUBDIRECTORY

DESCRIPTION

Subdirectory of LUA_LIBDIR or LUA_SCRIPTDIR into which dolua should install. This is usually unnecessary.

## dolua

[ Top ] [ lua.cygclass ] [ Install Functions ]

SYNOPSIS

      [luainto SUBDIRECTORY]
      dolua MODULE1 [MODULE2] ...

DESCRIPTION

Installs the given Lua module(s) (.lua or .dll) into LUA_LIBDIR or LUA_SCRIPTDIR under $D, depending on filetype, or a subdirectory thereof if luainto was previously called.

## lua_fix_shebang

[ Top ] [ lua.cygclass ] [ Install Functions ]

SYNOPSIS

      lua_fix_shebang SCRIPT [SCRIPT ...]

DESCRIPTION

Fixes the designated interpreter of SCRIPT to LUA. This would be necessary if the original uses an incorrect path (e.g. /usr/local/bin) or an incorrectly versioned binary. SCRIPT need not be prefixed by $D.